Package org.opensaml.saml.metadata.resolver.impl

# Class AbstractDynamicMetadataResolver.DynamicEntityBackingStore

java.lang.Object
org.opensaml.saml.metadata.resolver.impl.AbstractMetadataResolver.EntityBackingStore
org.opensaml.saml.metadata.resolver.impl.AbstractDynamicMetadataResolver.DynamicEntityBackingStore

Enclosing class:
  AbstractDynamicMetadataResolver

protected class AbstractDynamicMetadataResolver.DynamicEntityBackingStore extends AbstractMetadataResolver.EntityBackingStore
Specialized entity backing store implementation for dynamic metadata resolvers.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Map<String,AbstractDynamicMetadataResolver.EntityManagementData>`
`mgmtDataMap`
Map holding management data for each entityID.
`private LockableMetadataIndexManager<String>`
`secondaryIndexManager`
Manager for secondary indexes.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DynamicEntityBackingStore(Set<MetadataIndex> initIndexes)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`AbstractDynamicMetadataResolver.EntityManagementData`
`getManagementData(String entityID)`
Get the management data for the specified entityID.
`Set<String>`
`getManagementDataEntityIDs()`
Get the set of entityIDs which currently have management data.
`LockableMetadataIndexManager<String>`
`getSecondaryIndexManager()`
Get the secondary index manager.
`void`
`removeManagementData(String entityID)`
Remove the management data for the specified entityID.

### Methods inherited from class org.opensaml.saml.metadata.resolver.impl.AbstractMetadataResolver.EntityBackingStore

`getIndexedDescriptors, getOrderedDescriptors`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### mgmtDataMap

@Nonnull private Map<String,AbstractDynamicMetadataResolver.EntityManagementData> mgmtDataMap
Map holding management data for each entityID.

### secondaryIndexManager

@Nonnull private LockableMetadataIndexManager<String> secondaryIndexManager
Manager for secondary indexes.

## Constructor Details

### DynamicEntityBackingStore

protected DynamicEntityBackingStore(@Nullable Set<MetadataIndex> initIndexes)
Constructor.

Parameters:
  `initIndexes` - secondary indexes for which to initialize storage

## Method Details

### getSecondaryIndexManager

@Nonnull public LockableMetadataIndexManager<String> getSecondaryIndexManager()
Get the secondary index manager.

Returns:
  the manager for secondary indexes

### getManagementDataEntityIDs

@Nonnull @Unmodifiable @NotLive public Set<String> getManagementDataEntityIDs()
Get the set of entityIDs which currently have management data.

Returns:
  set of entityIDs, may be empty

### getManagementData

@Nonnull public AbstractDynamicMetadataResolver.EntityManagementData getManagementData(@Nonnull String entityID)
Get the management data for the specified entityID.

Parameters:
  `entityID` - the input entityID
Returns:
  the corresponding management data

### removeManagementData

public void removeManagementData(@Nonnull String entityID)
Remove the management data for the specified entityID.

Parameters:
  `entityID` - the input entityID